[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Kerberos + GSSAPI support in Tortoise SVN

From: Stefan Küng <tortoisesvn_at_gmail.com>
Date: Tue, 28 Sep 2010 22:36:12 +0200

On 28.09.2010 09:23, Jean-Yves Avenard wrote:
> Hi there.
>
> Attached is the GSSAPI patch.
>
> There are 3 files in this ZIP.
> gssapi-trunk.patch: GSSAPI patch for trunk
> gssapi-1.6.10.patch: GSSAPI patch for TSVN 1.6.10 ; require Visual Studio 2008
> gssapi-1.6.10-VS2010: GSSAPI patch for TSVN 1.6.10 ; plus extra
> patches to allow compilation under Visual Studio 2010 (most are
> backports from TSVN trunk).

Thanks a lot!
I've committed your patch for the trunk in r20195 with some necessary
modifications.

As for the 1.6.x branch: I can't commit your patch there, since this is
a new feature and not a bugfix. Committing that there would violate our
policies for the stable branch. It's too risky since this could actually
break something (neon compiled both with SSPI and GSSAPI might lead to
problems for those using SSPI authentication - haven't tested this but
it's a possibility).

Please check my modifications, they should be ok but you're the expert
here :)

Stefan

-- 
        ___
   oo  // \\      "De Chelonian Mobile"
  (_,\/ \_/ \     TortoiseSVN
    \ \_/_\_/>    The coolest Interface to (Sub)Version Control
    /_/   \_\     http://tortoisesvn.net
------------------------------------------------------
http://tortoisesvn.tigris.org/ds/viewMessage.do?dsForumId=4061&dsMessageId=2665841
To unsubscribe from this discussion, e-mail: [users-unsubscribe_at_tortoisesvn.tigris.org].
Received on 2010-09-28 22:36:28 CEST

This is an archived mail posted to the TortoiseSVN Users mailing list.